## einsteinpy 0.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/einsteinpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/einsteinpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/einsteinpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/einsteinpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## einsteinpy 0.1.0+dfsg

=== debian/changelog ===
einsteinpy (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #925241)

 -- Shreyas Bapat <bapat.shreyas@gmail.com>  Wed, 17 Apr 2019 21:17:46 +0530

=== debian/control ===
Source: einsteinpy
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Shreyas Bapat <bapat.shreyas@gmail.com>
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all (>= 3.4),
               python3-astropy (>=3~),
               python3-astropy-helpers,
               python3-matplotlib (>= 2~),
               python3-numpy,
               python3-plotly,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-sympy
Standards-Version: 4.3.0
Homepage: https://github.com/einsteinpy/einsteinpy
Vcs-Git: https://salsa.debian.org/debian-astro-team/einsteinpy.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/einsteinpy

Package: python3-einsteinpy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: General Relativity in Python
 EinsteinPy is an open source pure Python package
 dedicated to problems arising in General Relativity
 and relativistic physics, such as goedesics plotting
 for schwarzschild space-time model, calculation of
 schwarzschild radius for any mass given, symbolic
 calculation of various functions related to GR such
 as christoffel symbols. Features like visualization
 of geodesics of curved black holes and 3D visualizations
 are some of the features which are planned.
 It is released under the MIT license.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/einsteinpy/einsteinpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## einsteinpy 0.3.0

=== debian/changelog ===
einsteinpy (0.3.0-2) unstable; urgency=medium

  * Replace subtraction of large values in test with direct comparison

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Jan 2021 14:31:15 +0100

einsteinpy (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Remove outdated patches
  * Replace d/compat by debhelper-compat dependency
  * Remove unneeded versionized dependency of python3
  * Use proper short name for Expat license
  * Add Salsa CI configuration file
  * Add Ci tests

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Nov 2020 12:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: einsteinpy
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Shreyas Bapat <bapat.shreyas@gmail.com>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Shreyas Bapat <bapat.shreyas@gmail.com>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-all (>= 3.4),
+               python3-all,
                python3-astropy (>=3~),
                python3-astropy-helpers,
                python3-matplotlib (>= 2~),
@@ -15,14 +15,15 @@
                python3-scipy,
                python3-setuptools,
                python3-sympy
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/einsteinpy
+Vcs-Git: https://salsa.debian.org/debian-astro-team/einsteinpy.git
 Homepage: https://github.com/einsteinpy/einsteinpy
-Vcs-Git: https://salsa.debian.org/debian-astro-team/einsteinpy.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/einsteinpy
 
 Package: python3-einsteinpy
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: General Relativity in Python
  EinsteinPy is an open source pure Python package
  dedicated to problems arising in General Relativity

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs einsteinpy
Depends: @, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/einsteinpy/einsteinpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## einsteinpy 0.4.0

=== debian/changelog ===
einsteinpy (0.4.0-4) unstable; urgency=medium

  * Team upload
  * add Fix_root_equation-in-shadow.patch (Closes: #1063527)
    (this bug came up due to a change in newton() of scipy 1.11.0)
    (probably the example Animations in EinsteinPy.ipynb no longer works
     without changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Sep 2025 12:57:04 +0200

einsteinpy (0.4.0-3) unstable; urgency=medium

  * Remove obsolete build dependency python3-astropy-helpers

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Jan 2024 10:57:04 +0100

einsteinpy (0.4.0-2) unstable; urgency=medium

  [ Georges Khaznadar ]
  * Make python3-numba a recommendation instead of a dependency
   (fixes autopkgtest errors on s390x, allows migration before numba)

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Jan 2023 11:30:18 +0100

einsteinpy (0.4.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-astropy and
      python3-matplotlib.

  [ Ole Streicher ]
  * Switch upstream to guthub
  * New upstream version 0.4.0
  * Remove patch that was applied upstream
  * Push Standards-Version to 4.6.2. No changes
  * Fix numpy 1.24 compatibility (Closes: #1027198)
  * Fix NameError for numpy in tensor_lambdify

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Jan 2023 10:14:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Shreyas Bapat <bapat.shreyas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-astropy (>=3~),
-               python3-astropy-helpers,
-               python3-matplotlib (>= 2~),
+               python3-astropy,
+               python3-matplotlib,
                python3-numpy,
                python3-plotly,
                python3-pytest,
                python3-scipy,
                python3-setuptools,
                python3-sympy
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/einsteinpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/einsteinpy.git
 Homepage: https://github.com/einsteinpy/einsteinpy
@@ -23,7 +22,14 @@
 Package: python3-einsteinpy
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+ python3-astropy,
+ python3-matplotlib,
+ python3-numpy,
+ python3-plotly,
+ python3-scipy,
+ python3-sympy,
+ python3:any
+Recommends: python3-numba
 Description: General Relativity in Python
  EinsteinPy is an open source pure Python package
  dedicated to problems arising in General Relativity

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=einsteinpy

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m pytest tests
Depends: @, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%einsteinpy-$1.tar.gz%" \
   https://github.com/einsteinpy/einsteinpy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
